4Suite™ API Documentation

# ► Module Ft.Xml.XPath._4xpath

4XPath command-line application

Classes: XPathCommandLineApp |  |  |  | Functions: Register, Run |  |  |  | Globals: MAX_PYTHON_RECURSION_DEPTH, g_nssBindingPattern, g_paramBindingPattern

## Classes

class XPathCommandLineApp(Ft.Lib.CommandLine.CommandLineApp.CommandLineApp)

  ### Methods

  __init__(self)
    Overrides: __init__ from class CommandLineApp
  validate_arguments(self, args)
    Overrides: validate_arguments from class CommandLineApp
  validate_options(self, options)
    Overrides: validate_options from class CommandLineApp

  ### Methods inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  gen_command_tree, gen_usage, get_help_doc_info, parse_command_line, run

  ### Methods inherited from class Ft.Lib.CommandLine.Command.Command

  break_parent_relationship, build_parent_relationship, flatten_command_tree, run_command

  ### Members inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  global_options

## Functions

Register()
Run(options, args)

## Globals

MAX_PYTHON_RECURSION_DEPTH = 10000
g_nssBindingPattern = <_sre.SRE_Pattern object>
  Compiled regular expression objects
g_paramBindingPattern = <_sre.SRE_Pattern object>
  Compiled regular expression objects